%define 	pname php-iworx
%define		rname php
%define 	pversion 5.6.36
%define 	bversion 1
%define 	rpmrelease iworx
%define		iworxuser iworx
%define		iworxgroup iworx
%define		iworxdir /home/interworx
%define		iworxbindir %{iworxdir}/bin
%define		iworxsysconfdir %{iworxdir}/etc
%define		iworxlibdir %{iworxdir}/lib
%ifarch x86_64
%define         iworxmysqllibdir %{iworxdir}/mysql/usr/lib64/mysql
%else
%define         iworxmysqllibdir %{iworxdir}/mysql/usr/lib/mysql
%endif
%define		iworxmysqlincdir %{iworxdir}/mysql/usr/include/mysql
%define		iworxioncubedir %{iworxdir}/ioncube

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_fdr_80   0
%define		build_fdr_90   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define		build_amzn1    0

%define		build_unk      1

%define		xdebug         0

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr80: 	%{expand: %%define build_fdr_80   1}}
%{?_with_fdr90: 	%{expand: %%define build_fdr_90   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}
%{?_with_amzn1: 	%{expand: %%define build_amzn1    1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

%{?_with_xdebug:	%{expand: %%define xdebug	  1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client
BuildRequires:	libc-client-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client
BuildRequires:	libc-client-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_fdr_80}
%define		oscode fdr80
%define 	ostype Fedora Core 8
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_fdr_90}
%define		oscode fdr90
%define 	ostype Fedora Core 9
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	imap-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:  libxml2-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_5x} 
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:  libxml2-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_amzn1}
%define		oscode amzn1
%define 	ostype Amazon Linux
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:  libxml2-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:  libxml2-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
BuildRequires:	curl-devel >= 7.9
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:  zlib-devel
BuildRequires:	pcre-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool
BuildRequires:	libc-client-devel
BuildRequires:  libxml2-devel
BuildRequires:	pam-devel
BuildRequires:	readline-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Requires:	curl
Requires:	curl-devel
%define		build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}
%define ccflags %{optflags} -I%{iworxmysqlincdir}
%define ldflags %{optflags} -L%{iworxmysqllibdir} -lpthread

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:	PHP Hypertext Preprocessor (InterWorx)
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:	PHP License, version 2.02

Epoch:          1

Group:		Development/Languages
Source0:	%{rname}-%{version}.tar.gz
URL:		http://www.php.net/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

BuildRoot:	%{_tmppath}/%{rname}-%{version}-root

BuildRequires:  iworx-db-55
BuildRequires:	httpd-iworx
BuildRequires:  gmp-devel

Requires(pre): iworx-db-55
Requires:      iworx-db-55

# this is stupid.  php needs to be able to find "sendmail" binary at configure time.
# we'll of course actually use qmail when not building.
BuildRequires:  sendmail 

##
# we need to make sure that this is on *AFTER* 
# qmail since this does a useradd
##

#Requires:	qmail
#Requires:	vpopmail

Source1:        php-iworx.ini
Source2:        php-cli-iworx.ini
#Patch1: 	php-4.3.6-libtool15.patch
#Patch2: 	php-4.3.6-install.patch
#Patch3:		php-4.2.2-lib64.patch
#Patch4:		php-4.3.11-fdr40-dumb.patch
#Patch5:		php-4.3.9-xmlelement.patch
#Patch6:		php-4.3.9-bad-curlopts.patch
#Patch6:		php-4.3.9-bad-curlopts.patch
#Patch7: 	php-4.3.9-utf8_mime2text-fix.patch
Source3:	ioncube_loaders_lin_x86-64.tar.gz
Source4:	ioncube_loaders_lin_x86.tar.gz
Source5:        ioncube_loaders_lin_armv5.tar.gz

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it easy
for developers to write dynamically generated webpages. PHP also offers
built-in database integration for several commercial and non-commercial
database management systems, so writing a database-enabled webpage with
PHP is fairly simple. The most common use of PHP coding is probably as a
replacement for CGI scripts. The mod_php module enables the Apache Web
server to understand and process the embedded PHP language in Web pages.

%prep

%setup -q -n %{rname}-%{version}

#%patch1 -p1 -b .libtool15
#%patch2 -p1 -b .install
#%patch3 -p1 -b .lib64

#%if %{build_fdr_40}
#%patch4 -p1 -b .fdr40dumb
#%endif

#%patch5 -p1 -b .xmlelement

#%if %{build_fdr_80} || %{build_fdr_90}
#%patch6 -p0 -b .badcurlopts
#%patch7 -p0 -b .utf8mime2text
#%endif

# Use correct libdir.
perl -pi -e 's|%{_prefix}/lib|%{_libdir}|' php.ini-dist

# Remove bogus test; position of read position after fopen(, "a+")
# is not defined by C standard, so don't presume anything.
rm -f ext/standard/tests/file/bug21131.phpt

# Tests that fail.
rm -f ext/pspell/tests/01pspell_basic.phpt \
      ext/standard/tests/file/bug22414.phpt \
      ext/session/tests/019.phpt \
      ext/standard/tests/math/pow.phpt \
      ext/standard/tests/math/round.phpt \
      ext/standard/tests/math/abs.phpt \
      ext/iconv/tests/ob_iconv_handler.phpt

# Source is built twice: once for /usr/bin/php, once for the Apache DSO.
mkdir build-cli

# Try detecting newest gcc (some distributions have got more then one compiler)
[ -f %{_tmppath}/%{rname}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{rname}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{rname}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{rname}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{rname}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{rname}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{rname}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{rname}-%{pversion}-gcc
fi

# Display compilation flags and OS with nice colors
[ -f %{_tmppath}/%{rname}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{rname}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{rname}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{rname}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{rname}-%{pversion}-show_flags
%{_tmppath}/%{rname}-%{pversion}-show_flags
[ -f %{_tmppath}/%{rname}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{rname}-%{pversion}-show_flags

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}

# Delete gcc temp file
[ -f %{_tmppath}/%{rname}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{rname}-%{pversion}-gcc


######################################################
# aclocal workaround - to be improved
#cat `aclocal --print-ac-dir`/{libtool,ltoptions,ltsugar,ltversion,lt~obsolete}.m4 >>aclocal.m4

# Force use of system libtool:
#libtoolize --force --copy
#cat `aclocal --print-ac-dir`/{libtool,ltoptions,ltsugar,ltversion,lt~obsolete}.m4 >build/libtool.m4

# Regenerate configure scripts (patches change config.m4's)
#touch configure.in

%if ! %{build_rhe_6x} && ! %{build_rhe_7x} && ! %{build_amzn1}

libtoolize --force --copy
cat `aclocal --print-ac-dir`/libtool.m4 > build/libtool.m4

./buildconf --force

%endif
#######################################################

export EXTENSION_DIR=%{_libdir}/php4

%if ! %{build_rhe_6x} && ! %{build_rhe_7x} && ! %{build_amzn1}

libtoolize --force --copy
touch acinclude.m4
./buildconf --force

%endif

export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fno-strict-aliasing -fPIC"
export LDFLAGS="%{ldflags}"

# Shell function to configure and build a PHP tree.
build() {
# bison-1.875-2 seems to produce a broken parser; workaround.
mkdir Zend && cp ../Zend/zend_{language,ini}_{parser,scanner}.[ch] Zend
ln -sf /home/interworx/lib /home/interworx/lib64 || :
ln -sf ../configure
#     	--with-apxs2=%{iworxbindir}/httpd/apxs     \
./configure                                        \
	--prefix=%{_prefix}                        \
	--bindir=%{_bindir}                        \
	--mandir=%{_mandir}                        \
	--localstatedir=%{_localstatedir}          \
	--libdir=%{_libdir}                        \
	--datadir=%{_datadir}                      \
	--includedir=%{_includedir}                \
	--sysconfdir=%{_sysconfdir}                \
	--cache-file=../config.cache               \
	--enable-cli                               \
    	--enable-soap                              \
	--with-config-file-path=%{iworxsysconfdir} \
	--enable-track-vars                        \
	--enable-inline-optimization               \
	--enable-discard-path                      \
	--enable-memory-limit                      \
	--enable-sysvshm                           \
	--enable-sysvsem                           \
	--enable-ftp                               \
	--enable-mbstring                          \
    	--enable-mbstr-enc-trans                   \
    	--enable-mbregex                           \
	--enable-pcntl                             \
    	--enable-spl                               \
	--enable-bcmath				   \
	--with-gmp				   \
%if %{xdebug}
        --enable-xdebug                        \
%endif
	--with-gd                                  \
	--with-mysql=%{iworxdir}/mysql/usr         \
        --with-mysqli=%{iworxdir}/mysql/usr/bin/mysql_config \
	--with-zlib-dir=%{_prefix}                 \
	--with-iconv                               \
	--with-openssl                             \
	--with-pdo-mysql			   \
	--with-curl                                \
	--with-readline                            \
	--with-xmlrpc                              \
	--with-pcre                                \
	--with-gettext                             \
	--with-kerberos                            \
	--with-imap=%{_libdir}                     \
	--with-imap-ssl				   \
	--with-mcrypt                              \
	--with-libdir=%{_lib}                      \
	$*


%{__make} %{?_smp_mflags}
}

# Build standalone /usr/bin/php-iworx
pushd build-cli
build
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# Install from CLI tree
pushd build-cli

# 
# copy the php bins that we need to the iworx dirs
#

mkdir -p -m0700 %{buildroot}%{iworxdir}

# install the config files
mkdir -p -m0700 %{buildroot}%{iworxsysconfdir}
install -m0644 %{SOURCE1} %{buildroot}%{iworxsysconfdir}/php.ini
install -m0600 %{SOURCE2} %{buildroot}%{iworxsysconfdir}/php-cli.ini

# install the DSO
mkdir -p -m0700 %{buildroot}%{iworxlibdir}/php

#test -f libs/libphp5.so || sh /home/interworx/etc/httpd/build/instdso.sh SH_LIBTOOL='./libtool' libphp5.la `pwd`/libs

#install -m 700 libs/libphp5.so %{buildroot}%{iworxlibdir}/php
#strip --strip-debug -R .comment %{buildroot}%{iworxlibdir}/libphp5.so || :

# install the bin
mkdir -p -m0700 %{buildroot}%{iworxbindir}
install -m 700 sapi/cli/php %{buildroot}%{iworxbindir}
strip --strip-unneeded -R .comment %{buildroot}%{iworxbindir}/php || :

# install the cgi bin
mkdir -p -m0700 %{buildroot}%{iworxbindir}
install -m 700 sapi/cgi/php-cgi %{buildroot}%{iworxbindir}/php-cgi
strip --strip-unneeded -R .comment %{buildroot}%{iworxbindir}/php-cgi || :

popd

# install ioncube

mkdir -m0711 %{buildroot}%{iworxioncubedir}
pushd %{_tmppath}

%ifarch x86_64
	tar xzf %{SOURCE3}
%endif

%ifarch armv5tel armv5tejl
	tar xzf %{SOURCE5}
%endif

%ifarch i386 i686
	tar xzf %{SOURCE4}
%endif

install -m0555 ioncube/ioncube_loader_lin_5.6.so \
	%{buildroot}%{iworxioncubedir}
rm -rf ioncube
popd

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%pre

# make the iworx group (if needed)
/bin/grep "^%{iworxgroup}:" /etc/group >/dev/null || groupadd -r %{iworxgroup}

# make the vchkpw group (if needed)
/bin/grep "vchkpw:" /etc/group > /dev/null || groupadd -r -g 104 vchkpw

# make the iworx  user (if needed)
/bin/grep "^%{iworxuser}:" /etc/passwd >/dev/null || /usr/sbin/useradd \
	-g %{iworxgroup} -G vchkpw -d %{iworxdir} \
	-s /bin/bash -c %{name} -r -m %{iworxuser}

%post

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: php-iworx package removal request denied.  If you wish to remove Interworx, please do a fresh OS install."
   echo
   exit 1
fi

%postun

#
# if we're erasing (i.e. not upgrading)
#if [ "$1" = "0" ]; then
#	%{__grep} "^%{iworxuser}:" /etc/passwd >/dev/null || userdel -r %{iworxuser}
#fi

%files
%defattr(-,iworx,iworx)
%attr(0644,iworx,iworx) %{iworxsysconfdir}/php.ini
%attr(0600,iworx,iworx) %{iworxsysconfdir}/php-cli.ini
#%attr(0500,iworx,iworx) %{iworxlibdir}/php/libphp5.so
%attr(0711,iworx,iworx) %dir %{iworxioncubedir}
%attr(0555,iworx,iworx) %{iworxioncubedir}/ioncube_loader_lin_5.6.so
%attr(4750,root,iworx)  %{iworxbindir}/php
%attr(0755,root,iworx)  %{iworxbindir}/php-cgi
%attr(0700,iworx,iworx) %dir %{iworxlibdir}/php
                                                                               
%changelog
* Fri Apr 27 2018 InterWorx Build System <support@interworx.com> - 5.6.36
- Automated update to version 5.6.36

* Fri Mar 30 2018 InterWorx Build System <support@interworx.com> - 5.6.35
- Automated update to version 5.6.35

* Fri Mar 02 2018 InterWorx Build System <support@interworx.com> - 5.6.34
- Automated update to version 5.6.34

* Fri Jan 05 2018 InterWorx Build System <support@interworx.com> - 5.6.33
- Automated update to version 5.6.33

* Fri Oct 27 2017 InterWorx Build System <support@interworx.com> - 5.6.32
- Automated update to version 5.6.32

* Fri Jul 07 2017 InterWorx Build System <support@interworx.com> - 5.6.31
- Automated update to version 5.6.31

* Fri Jan 20 2017 InterWorx Build System <support@interworx.com> - 5.6.30
- Automated update to version 5.6.30

* Fri Dec 09 2016 InterWorx Build System <support@interworx.com> - 5.6.29
- Automated update to version 5.6.29

* Fri Nov 11 2016 InterWorx Build System <support@interworx.com> - 5.6.28
- Automated update to version 5.6.28

* Sat Oct 15 2016 InterWorx Build System <support@interworx.com> - 5.6.27
- Automated update to version 5.6.27

* Fri Sep 16 2016 InterWorx Build System <support@interworx.com> - 5.6.26
- Automated update to version 5.6.26

* Fri Aug 19 2016 InterWorx Build System <support@interworx.com> - 5.6.25
- Automated update to version 5.6.25

* Fri Jul 22 2016 InterWorx Build System <support@interworx.com> - 5.6.24
- Automated update to version 5.6.24

* Fri Jun 24 2016 InterWorx Build System <support@interworx.com> - 5.6.23
- Automated update to version 5.6.23

* Tue Jun 07 2016 InterWorx Build System <support@interworx.com> - 5.6.22
- Automated update to version 5.6.22

* Thu May 19 2016 Paul Oehler <poehler@interworx.com>
- Upgraded to php 5.6.20

* Fri Apr 29 2016 InterWorx Build System <support@interworx.com> - 5.5.35
- Automated update to version 5.5.35

* Fri Apr 01 2016 InterWorx Build System <support@interworx.com> - 5.5.34
- Automated update to version 5.5.34

* Wed Mar 22 2016 Paul Oehler <poehler@interworx.com>
- Upgraded ioncube loader to version 5.1.2, seems to fix some segfaulting

* Thu Mar 03 2016 InterWorx Build System <support@interworx.com> - 5.5.33
- Automated update to version 5.5.33

* Thu Feb 04 2016 InterWorx Build System <support@interworx.com> - 5.5.32
- Automated update to version 5.5.32

* Thu Jan 07 2016 InterWorx Build System <support@interworx.com> - 5.5.31
- Automated update to version 5.5.31

* Fri Oct 02 2015 InterWorx Build System <support@interworx.com> - 5.5.30
- Automated update to version 5.5.30

* Thu Oct 01 2015 Paul Oehler <poehler@interworx.com>
- Added mysqli extension option

* Sat Sep 05 2015 InterWorx Build System <support@interworx.com> - 5.5.29
- Automated update to version 5.5.29

* Tue Aug 11 2015 InterWorx Build System <support@interworx.com> - 5.5.28
- Automated update to version 5.5.28

* Fri Jul 10 2015 InterWorx Build System <support@interworx.com> - 5.5.27
- Automated update to version 5.5.27

* Fri Jun 12 2015 InterWorx Build System <support@interworx.com> - 5.5.26
- Automated update to version 5.5.26

* Fri May 15 2015 InterWorx Build System <support@interworx.com> - 5.5.25
- Automated update to version 5.5.25

* Fri Apr 17 2015 InterWorx Build System <support@interworx.com> - 5.5.24
- Automated update to version 5.5.24

* Mon Mar 23 2015 InterWorx Build System <support@interworx.com> - 5.5.23
- Automated update to version 5.5.23

* Tue Dec 30 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL7x.
* Mon Oct 12 2014 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 5.5.17
* Wed Oct 07 2014 Matt Parmelee <mparmelee@interworx.com>
- Added MySQL PDO support.
* Mon Sep 08 2014 Tim College <tcollege@interworx.com>
- Changed mysql to new iworx-db
* Mon Aug 25 2014 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 5.5.16
* Thu Aug 14 2014 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 5.5.14
* Thu Feb 20 2014 Tim College <tcollege@interworx.com>
- Upgraded to 5.3.28
* Tue Jul 23 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 5.3.27
* Tue May 14 2013 Matt Parmelee <mparmelee@interworx.com>
- Added basic ARM support.
* Tue May 08 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to php 5.3.12
* Fri May 04 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to php 5.3.12
* Wed Feb 22 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to php 5.3.10
* Thu Oct 13 2011 Paul Oehler <poehler@interworx.com>
- upgraded to latest ioncube loaders
* Tue Aug 30 2011 Paul Oehler <poehler@interworx.com>
- upgraded to php 5.3.8 and added support for amazon linux
* Wed Jun 01 2011 Paul Oehler <poehler@interworx.com>
- upgraded to php 5.3.6 and added iworx upgrade.pex run logic
* Wed Jan 08 2011 Paul Oehler <poehler@interworx.com>
- upgraded to php 5.3.5
* Wed Jan 05 2011 Paul Oehler <poehler@interworx.com>
- upgraded to php 5.3.4
* Mon Oct 25 2010 Paul Oehler <poehler@interworx.com>
- Added "sendmail" buildrequires, since php needs to know where the binary is at configure time.
* Sat Oct 08 2010 Paul Oehler <poehler@interworx.com>
- Added spl
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Upgraded php version to 5.2.14
- added preun scriptlet to prevent uninstall
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Upgraded php version to 5.2.13
- Updated for RHEL 6.x
* Fri Jul 25 2008 Paul Oehler <poehler@interworx.com>
- Added call to iworx upgrade.php, and restart of iworx-web
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added support for Fedora 8
* Sat Jun 18 2005 Chris Wells <clwells@nexcess.net>
- Added ioncube decoder to this RPM
- Added mbstring support for phpMyAdmin
* Sun Sep 27 2004 Chris Wells <clwells@nexcess.net>
- fixed a permission bug on the php cli
* Sat Sep 18 2004 Chris Wells <clwells@nexcess.net>
- Updated to require 'qmail' for useradd qmail uid/gid
  purposes
* Tue Jun 28 2004 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS
